unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    procedure FormCreate(Sender: TObject);
    procedure Chart1Zoom(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses series;

var fast1, fast2: TFastLineSeries;

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  fast1:=Chart1.AddSeries(TFastLineSeries.Create(self)) as TFastLineSeries;
  fast2:=Chart1.AddSeries(TFastLineSeries.Create(self)) as TFastLineSeries;

  for i:=0 to 99 do
  begin
    fast1.Add(random*0.005 + 0.16);
    fast2.Add(random*4 + 460);
  end;

  fast2.VertAxis:=aRightAxis;
  fast2.Color:=clRed;

  With Chart1.Axes.Left do
  begin
    SetMinMax(0.16,0.3);
    Axis.Color:=fast1.Color;
    MinorTicks.Color:=fast1.Color;
    Ticks.Color:=fast1.Color;
    LabelsFont.Color:=fast1.Color;
  end;

  with Chart1.Axes.Right do
  begin
    SetMinMax(440,464);
    Axis.Color:=fast2.Color;
    MinorTicks.Color:=fast2.Color;
    Ticks.Color:=fast2.Color;
    LabelsFont.Color:=fast2.Color;
  end;
end;

procedure TForm1.Chart1Zoom(Sender: TObject);
begin
  With Chart1.Axes.Left do
    SetMinMax(CalcPosPoint(Chart1.Zoom.Y1),CalcPosPoint(Chart1.Zoom.Y0));
end;

end.
